Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1125812 - [RFE] Add RHEL7 support to ovirt-hosted-engine-setup
Summary: [RFE] Add RHEL7 support to ovirt-hosted-engine-setup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Sandro Bonazzola
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1125811 1125813 1139020
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-01 06:13 UTC by Sandro Bonazzola
Modified: 2018-12-09 18:17 UTC (History)
15 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Enhancement
Doc Text:
Deployment of the hosted engine is now supported on Red Hat Enterprise Linux 7 hosts.
Clone Of:
Environment:
Last Closed: 2015-02-11 20:40:30 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0161 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2015-12-07 21:35:11 UTC

Description Sandro Bonazzola 2014-08-01 06:13:10 UTC
Build ovirt-hosted-engine-setup and its missing dependencies for EL7

Comment 3 Jiri Belka 2014-09-12 08:32:33 UTC
Blocked by BZ1139020.

[root@dell-r210ii-03 yum.repos.d]# hosted-engine --deploy
[ INFO  ] Stage: Initializing
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]: 
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Configuration files: []
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20140912101844-dit4k3.log
          Version: otopi-1.3.0_master (otopi-1.3.0-0.0.1.master.el7)
[ INFO  ] Hardware supports virtualization
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment setup
[ INFO  ] Generating VDSM certificates
[ ERROR ] Failed to execute stage 'Environment setup': [Errno 2] No such file or directory: '/etc/pki/vdsm/certs/cacert.pem'
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/etc/ovirt-hosted-engine/answers.conf'
[ INFO  ] Answer file '/etc/ovirt-hosted-engine/answers.conf' has been updated
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination

Comment 4 Jiri Belka 2014-09-23 11:42:12 UTC
ok

...
[ INFO  ] Enabling and starting HA services
          Hosted Engine successfully set up
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/etc/ovirt-hosted-engine/answers.conf'
[ INFO  ] Answer file '/etc/ovirt-hosted-engine/answers.conf' has been updated
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 (Maipo)
# rpm -qa ovirt\*
ovirt-host-deploy-1.3.0-0.0.3.master.el7.noarch
ovirt-hosted-engine-ha-1.2.1-1.el7.noarch
ovirt-hosted-engine-setup-1.2.0-1.el7.noarch

Comment 32 errata-xmlrpc 2015-02-11 20:40:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0161.html


Note You need to log in before you can comment on or make changes to this bug.